/*CoolNick compute nickel cooling */
#include "cddefines.h"
#include "taulines.h"
#include "level2.h"
#include "putcs.h"
#include "coolmetals.h"
#include "logte.h"

void CoolNick()
{
	double cs;

#	ifdef DEBUG_FUN
	fputs( "<+>CoolNick()\n", debug_fp );
#	endif

	/* [Ni XII] 4230.8A
	 * Y(ik) from 
	 * >>refer Pelan, J., & Berrington, K.A. 1995, A&A Suppl, 110, 209
	 * call PutCS( 1.68 , xNi1242 )
	 * >>chng 98 jan 9, update collision strength to 
	 * >>refer Mathews, A., Ramsbottom, C.A., Bell, K.L., & Keenan, F.P., 1998,
	 * >>refer ApJ 492, 415 */
	if( logte.alogte < 5.4 )
	{
		cs = MAX2(0.6,0.6+0.8182*(logte.alogte-3.2));
	}
	else
	{
		cs = MAX2(0.6,2.4-1.5*(logte.alogte-5.4));
	}
	PutCS(cs,&TauLines[ipxNi1242][0]);
	level2(&TauLines[ipxNi1242][0]);


#	ifdef DEBUG_FUN
	fputs( " <->CoolNick()\n", debug_fp );
#	endif
	return;
}

