/*descap user queries escape probability routines, which return values */
#include "cddefines.h"
#include "descap.h"
#include "escinc.h"
#include "esa0k2.h"
#include "esccom.h"
#include "ffmtread.h"

void descap( void )
{
	char chCard[135];
	int lgEOL ;
	long i;
	double tau;

#	ifdef DEBUG_FUN
	fputs( "<+>descap()\n", debug_fp );
#	endif

	/* this routine is enterd with the command escape probability, and
	 * drives the escape probability routine to compare answers */
	fprintf( ioQQQ, " Enter the log of the one-sided optical depth; line with no number to stop.\n" );

	lgEOL = FALSE;
	while( !lgEOL )
	{
		if( fgets( chCard , sizeof(chCard) , stdin ) == NULL )
		{
			break;
		}

		i = 1;
		tau = FFmtRead(chCard,&i,76,&lgEOL);
		if( lgEOL )
			break;

		tau = pow(10.,tau);
		fprintf( ioQQQ, "tau was %e\n", tau );
		fprintf( ioQQQ, " ESCINC=%11.3e\n", escinc(tau,1e-4) );
		fprintf( ioQQQ, " ESCCOM=%11.3e\n", esccom(tau,1e-4) );
		fprintf( ioQQQ, " ESA0K2=%11.3e\n", esa0k2(tau) );

	}


#	ifdef DEBUG_FUN
	fputs( " <->descap()\n", debug_fp );
#	endif
	return;
}

