/* the routine - esum - and variables that deal with the electron density */

/*esum sum free electron density over all species, sets variable EdenTrue*/
void esum(void);

EXTERN struct t_ElecDen {

	/*
	 * EdenMet is sum of electrons from Lit through n=30, all ions
	 * EdenNotH is total electron density less the proton density
	 * used in hydrogen loop for charge conservation
	 * EdenHCorr is eden + hi * 1.7e-4, includes correction for H atom collisions */
	float EdenMet, 
	  EdenNotH, 
	  EdenHCorr;

	/* this is relative error in the electron density we want
	 * set in block data to 0.01
	 * reset with set EdenError command */
	float EdenError;

	/* this is the true eden as set in esum, we will try to converge eden to this */
	float EdenTrue;

	/*flags set when bad electron density is detected */
	int lgEdenBad;

	/*zone where bad electron density was detected */
	long int nzEdenBad;

	/*EdenExtra extra electrons added with eden command*/
	float EdenExtra;

	/*EdenSet electron density set with set eden command*/
	float EdenSet;

	}	ElecDen;
