/*FindNeg search through line arrays to find the most negative inward optical depths */
#include "cddefines.h"
#include "taulines.h"
#include "dumpline.h"
#include "findneg.h"

void FindNeg( void )
{
	long int i;

#	ifdef DEBUG_FUN
	fputs( "<+>FindNeg()\n", debug_fp );
#	endif

	/* do the level 1 lines */
	for( i=1; i <= NTAULINES; i++ )
	{
		/* check if a line was the major heat agent */
		if( TauLines[i][IPLNTAUIN-1] < -1. )
			DumpLine(&TauLines[i][0]);
	}
	/* now do the level 2 lines */
	for( i=0; i < nWindLine; i++ )
	{
		/* check if a line was the major heat agent */
		if( TauLine2[i][IPLNTAUIN-1] < -1. )
			DumpLine(&TauLine2[i][0]);
	}


#	ifdef DEBUG_FUN
	fputs( " <->FindNeg()\n", debug_fp );
#	endif
	return;
}

