/* linesave.h */

EXTERN struct t_LineSave {
	/* number of emission lines in main stack */
	/* nsum is current point, to last line entered in the array */
	/* linadd increments nsum before doing anything else */
	long int nsum;
	/* total number of dust lines */
	long int ndsum;

	long int npxdd;

	/* factor to deal with area of inner surface */
	float arealg;

	/* variable to tell lines whether this is the first initialaization
	 * pass or whether we are in the middle of a model
	 * ipass=0 on initialization call, =1 on all others */
	long int ipass;

	}	LineSave;

typedef struct tag_LineSv {

	/* these are the main line save arrays */
	char chSumTyp;

	/* the four char string label for the line */
	char chALab[5];

	/* xLineEnergy is energy of line in Rydbergs */
	float xLineEnergy;

	/* integrated intensity of the line */
	float sumlin;

	/* the emissivity, per unit vol, for current conditions */
	float emslin;

	/* the wavelength of the line */
	long int lin;

/*} LineSv[NLINES];*/
} LinSv;

extern LinSv *LineSv;

typedef struct tag_LinDstSv {

	/* these are the smaller arrays for dust lines */
	char chSMDLab[5];
	long int lind;
	float smdlin;

/*} LineDSv[NDLINES];*/
} LinDstSv;

extern LinDstSv *LineDSv;
