/*ParseEscP parse escape probability command */
#include <string.h>
#include "cddefines.h"
#include "escdst.h"
#include "lgmatch.h"
#include "parse.h"

void ParseEscP(char *chCard )
{
	char chKey[5];

#	ifdef DEBUG_FUN
	fputs( "<+>ParseEscP()\n", debug_fp );
#	endif

	/* escape probability function for subordinate lines */
	if( lgMatch(" K2 ",chCard) )
	{
		strcpy( chKey, "  K2" );
	}
	else if( lgMatch("INCO",chCard) )
	{
		strcpy( chKey, "INCO" );
	}
	else if( lgMatch("SIMP",chCard) )
	{
		strcpy( chKey, "SIMP" );
	}
	else
	{
		fprintf( ioQQQ, " Subordinate escape probability must be either SIMP K2 or COMP.  Sorry.\n" );
		CloseUnits();
		puts( "[Stop in ParseEscP]" );
		exit(1);
	}

	if( lgMatch("EMIT",chCard) )
	{
		strcpy( escdst.chEscFun, chKey );
	}
	else if( lgMatch("DEST",chCard) )
	{
		strcpy( escdst.chDstFun, chKey );
	}
	else
	{
		strcpy( escdst.chEscFun, chKey );
		strcpy( escdst.chDstFun, chKey );
	}


#	ifdef DEBUG_FUN
	fputs( " <->ParseEscP()\n", debug_fp );
#	endif
	return;
}

