/* photrate.h */
EXTERN struct t_PhotRate {

	/* store photoionization rates
	 * first dim: 1 is photo rate
	 *            2 is low energy heating
	 *            3 is high energy (secondary-capable) total heating
	 *            both will be nultiplied by ion abundance to get vol rates 
	 * second dim is shell number, valence shell depends on ion
	 * third dim is stage of ionizaiton, 1 for atom
	 * last dim is nelem, the atomic number of element.
	 * some special last pairs - 
	 * [x][0][10][0] pair production in highen
	 */
	float PhotoRate[3][7][LIMELM][LIMELM];

	/* set to 1 in zero, so have no effect, 
	 * set to 0 with 'no photoionization' command, 
	 * kills photoionization of everything */
	float PhotScaleOn;

	}	PhotRate;

