/* these routines are in pop371.c */
void FeIIFillLow16(void);
/* reads in feii data from disk, creates space for main arrays */
void FeIIData(void);
void FeIIPrint(void);
void pop371(void);
/* called in LineSet4, this sums over FeII bands and returns intensities */
double FeIISumBand(long int ip1, 
	  long int ip2);
void FeIITauInc(void);
void FeIITauAver(void);
void FeIIPoint(void);
void FeIIAccel(double *fe2drive);
void FeIIMakeRT( int lgDoEsc );
/* called by LineSet4, this adds feii line intensities together */
void FeIIAddLines( void );
/* called by dopunch, this creates the punch verner file */
void FeIIPunchLines( FILE * ioPUN );
void FeIIEmitOut(double VolFac, 
  double ref);
/* initialize optical depth arrays, called by TauOut */
void FeIITauInit(void);
/* punch some departure coef for large atom, set with punch feii departure command*/
void FeIIPunDepart(FILE* ioPUN , 
	/* option to punch all dep coef if TRUE */
	int lgDoAll );
/* send the departure coef for physical level nPUN to unit ioPUN */
void FeIIPun1Depart( 
	/* the io unit where the print should be directed */
	FILE * ioPUN , 
	/* the physical (not c) number of the level */
	long int nPUN );
/* zero out variables that deal with FeII, called by zero */
void FeIIZero(void);

/* this is the number of levels for the large FeII atom */
#define	NFE2LEVN	371

/*	number of bands picked up in large FeII atom */
#define	LIMPREDFE2	12

/* this is set true when space is allocated for the FeII arrays,
 * once this happens nFeIILevel cannot be changed with the atom feii levels command 
 * set false in cddefines */
extern int lgFeIIMalloc;
/* number of levels for the large FeII atom, changed with the atom feii levels command 
 * set to NFE2LEVN in cddefines */
extern long int nFeIILevel;

EXTERN struct t_fe2 {
	/*
	 * lgFeIION is set true if the feii verner command is given, 
	 */
	int lgFeIION;

	/* say which FeII atom this is, Verner or Netzer */
	char chFeIIAtom[7];

	/* punch verner short for shorter punch */
	int lgShortFe2;

	/* says whether (true) or not (false) pumping of the FeiI model atom by HI Lya is included
	 * normally true, set false with the NO FEII command */
	int lgLyaPumpOn;

	/* energy range for FeII lines output with punch verner, 
	 * set with punch verner range e ryd, e ryd */
	float fe2ener[2];

	/* energy range and threshold for FeII lines output with punch verner */
	float fe2thresh;

	/* array of center and bounds wavelengths set in zero, 
	 *	set of pointers to bands within Katya's FeII atom
	 * [x][0] is band wavelength, [1], [2] are lower, upper bounds */
	long int iPredFe2[LIMPREDFE2][3];

	}	FeII;
