/*ShowMe produce request to send information to GJF after a crash */
#include "cddefines.h"
#include "cddrive.h"
#include "date.h"
#include "warnings.h"
#include "converge.h"
#include "input.h"
#include "called.h"
#include "showme.h"

void ShowMe(void)
{
	long int i;

#	ifdef DEBUG_FUN
	fputs( "<+>ShowMe()\n", debug_fp );
#	endif

	/* only make this printout if we are talking */
	if( called.lgTalk ) 
	{
		fprintf( ioQQQ, "\n\n" );
		fprintf( ioQQQ, "\n\n" );
		fprintf( ioQQQ, "           vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv \n" );
		fprintf( ioQQQ, "          > Something bad has happened.       <\n" );
		fprintf( ioQQQ, "          > Please show this to Gary Ferland. <\n" );
		fprintf( ioQQQ, "          > email:  gary@cloud9.pa.uky.edu    <\n" );
		fprintf( ioQQQ, "          > Please send all following info:   <\n" );
		fprintf( ioQQQ, "           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ \n" );
		fprintf( ioQQQ, "\n\n" );

		fprintf( ioQQQ, " Cloudy version number is %7.7s\n", 
			date.chVersion );

		fprintf( ioQQQ, "%5ld warnings,%3ld cautions,%3ld temperature failures.  Messages follow.\n", 
		  warnings.nwarn, warnings.ncaun, conv.nTeFail );

		/* print the warnings first */
		cdWarnings(ioQQQ);

		/* now print the cautions */
		cdCautions(ioQQQ);

		/* now output the commands */
		fprintf( ioQQQ, " Input commands follow:\n" );
		fprintf( ioQQQ, "c ======================\n" );

		for( i=0; i <= input.nSave; i++ )
		{
			fprintf( ioQQQ, "%s\n", input.chCardSav[i] );
		}
		fprintf( ioQQQ, "c ======================\n" );
	}

#	ifdef DEBUG_FUN
	fputs( " <->ShowMe()\n", debug_fp );
#	endif
	return;
}

