/*tauchn increment optical depths for all heavy element lines, zone by zone */
#include "cddefines.h"
#include "doppvel.h"
#include "filfac.h"
#include "radius.h"
#include "wind.h"
#include "dtmase.h"
#include "taulines.h"
#include "tauchn.h"

void tauchn(float tauary[])
{
	double dtau, 
	  vel;

#	ifdef DEBUG_FUN
	fputs( "<+>tauchn()\n", debug_fp );
#	endif

	/* routine increments optical depths for static or exanding atmosphere */
	vel = DoppVel.doppler[(long)(tauary[IPLNNELEM-1]+.1)-1];

	if( wind.windv == 0. )
	{
		/* static solution */
		tauary[IPLNDTAU-1] = (float)(tauary[IPLNPOPOPC-1]*tauary[IPLNOPAC-1]/
		  vel);

		dtau = tauary[IPLNDTAU-1]*radius.dReff;
		tauary[IPLNTAUIN-1] += (float)dtau;
		dtMase.dTauMase = (float)MIN2(dtMase.dTauMase,dtau);
		/* this will cause comment to be printed in prtComments */
		if( dtMase.dTauMase < -1. )
		{
			dtMase.lgMaserCapHit = TRUE;;
		}

		/* following stops disaster, will allow escape prob to get big and
		 * damp out the maser */
		dtau = MAX2(-1.,dtau);
		tauary[IPLNTAUCON-1] += tauary[IPLNDTAU-1]*(float)radius.dReff;
	}
	else
	{
		/* wind */
		tauary[IPLNTAUIN-1] = wind.wndeff*tauary[IPLNPOPOPC-1]*
		  tauary[IPLNOPAC-1];

		tauary[IPLNTAUCON-1] = tauary[IPLNTAUIN-1];

		/* save for continuum pumping array
		 * tauary(ipLnDTau) = tauary(ipLnTauIn) / dReff
		 * >>chng 96 jan 15 above had been place,
		 * current nova.in crashed due to small dr
		 * why was it as above? */
		tauary[IPLNDTAU-1] = (float)(tauary[IPLNPOPOPC-1]*tauary[IPLNOPAC-1]*
		  filfac.FillFac/MAX2(DoppVel.doppler[0],vel));

		tauary[IPLNTAUTOT-1] = tauary[IPLNTAUIN-1];
	}


#	ifdef DEBUG_FUN
	fputs( " <->tauchn()\n", debug_fp );
#	endif
	return;
}

