/* taulines.h */

#define	NTAULINES	263

/*******************************************************************/
/*
 * NB!!! ipLnArry.par and this file MUST be kept parallel
 * length of optical depth line array elements
 * pointers to each element are summarized in ipLnArray.par
 *
 *********************************************************************/
#define	NTA	37
/*
 * the definition of the EXTERN structure of the emission lines class
 */
typedef struct 
{
	float t[NTA];
}EmLine;

/*********************************************************************/

/*
 * this is a dummy optical depth array for non-existant lines
 */
EXTERN float TauDummy[NTA];

EXTERN float TauLines[NTAULINES+1][NTA];

/*
 * main line arrays for hydrogenic ions
 *
 * first dimension is atomic number
 * second dim is upper level
 * third dim is lower level
 * nta dim is set of pointers for quantities within line transfer arrays
 * in the forc translation, the upper level was too low by 1, since the
 * fortran was starting at 1.  the lower dim was not changed by translation
 * since it started from ip1s = 0
 * any place where the third dim has -1 is probably a remnant from forc and is wrong
 */

/*EXTERN float HydroLines[LIMELM][LMHLVL+1][LMHLVL+1][NTA];*/
/*EXTERN float HydroLines[ipZ][ipHi][ipLo][ipLnxxx];*/
EXTERN float ****HydroLines;

/* this will be set true once space is allocaed for the HydroLines array.
 * from then on any HYDROGENIC LEVELS command will be ignored, this is
 * set to false in cddefines.c */
extern int lgHydroMalloc ;

/* the following pointers to lines within the level 1 stack are defined in
 * CreateData where they are initially set to a large value, then reset
 * to point to the correct line within the stack */
extern long ipTauDummy , ipT1656 , ipT9830 , ipT8727 , ipT2326 , ipT1335 , ipT1909 ,
	ipT977 , ipT1550 , ipT1548 , ipT386 , ipT310 , ipc31175 , ipT291 , ipT280 ,
	ipT274 , ipT270 , ipT312 , ipT610 , ipT370 , ipT157 , ipT1085 , ipT1750 ,
	ipT990 , ipT1486 , ipT765 , ipT1243 , ipT1239 , ipT374g , ipT374x , ipT1200 ,
	ipT2140 , ipT671 , ipT315 , ipT324 , ipT333 , ipT209 , ipT122 , ipT205 ,
	ipT57 , ipT6300 , ipT6363 , ipT5577 , ipT834 , ipT1661 , ipT1666 , ipT835 ,
	ipT1402 , ipT789 , ipT630 , ipT1304 , ipT1039 , ipT8446 , ipT4368 , ipTOI13 ,
	ipTOI11 , ipTOI29 , ipTOI46 , ipTO1025 , ipT304 , ipT1214 , ipT150 , ipT146 ,
	ipT63 , ipTO88 , ipT52 , ipT26 , ipT1032 , ipT1037 , ipF0229 , ipF0267 ,
	ipF444 , ipF425 , ipT770 , ipT780 , ipxNe0676 , ipT895 , ipT88 , ipTNe13 ,
	ipTNe36 , ipTNe16 , ipTNe14 , ipTNe24 , ipT5895 , ipfsNa373 , ipfsNa490 , ipfsNa421 ,
	ipxNa6143 , ipxNa6862 , ipxNa0746 , ipMgI2853 , ipMgI2026 , ipT2796 , ipT2804 ,
	ipT705 , ipT4561 , ipxMg51325 , ipxMg52417 , ipxMg52855 , ipxMg71190 , ipxMg72261 ,
	ipxMg72569 , ipxMg08303 , ipTMg610 , ipTMg625 , ipT58 , ipTMg4 , ipTMg14 , ipTMg6 ,
	ipfsMg790 , ipfsMg755 , ipAlI3957 , ipAlI3090 , ipT1855 , ipT1863 , ipT2670 ,
	ipAl529 , ipAl6366 , ipAl6912 , ipAl8575 , ipAl8370 , ipAl09204 , ipT639 ,
	ipTAl550 , ipTAl568 , ipTAl48 , ipSii2518 , ipSii2215 , ipT2335 , ipT1808 ,
	ipT1207 , ipT1895 , ipT1394 , ipT1403 , ipT1527 , ipT1305 , ipT1260 , ipSi619 ,
	ipSi10143 , ipTSi499 , ipTSi521 , ipTSi41 , ipTSi35 , ipTSi25 , ipTSi65 ,
	ipTSi3 , ipTSi4 , ipP0260 , ipP0233 , ipP0318 , ipP713 , ipP848 , ipP817 ,
	ipP1027 , ipP1018 , ipT1256 , ipT1194 , ipTS1720 , ipT1406 , ipT1198 , ipT786 ,
	ipT933 , ipT944 , ipfsS810 , ipfsS912 , ipfsS938 , ipfsS1119 , ipfsS1114 , ipfsS1207 ,
	ipTSu418 , ipTSu446 , ipTSu30 , ipTS19 , ipTS34 , ipTS11 , ipfsCl214 , ipfsCl233 ,
	ipCl04203 , ipCl04117 , ipCl973 , ipCl1030 , ipCl1092 , ipT354 , ipT389 , ipT25 ,
	ipTAr7 , ipTAr9 , ipTAr22 , ipTAr13 , ipTAr8 , ipAr06453 , ipAr1055 , ipAr1126 ,
	ipAr1178 , ipKI7745 , ipxK03462 , ipxK04598 , ipxK04154 , ipxK06882 , ipxK06557 ,
	ipxK07319 , ipxK11425 , ipCaI4228 , ipT3934 , ipT3969 , ipT8498 , ipT8542 ,
	ipT8662 , ipT7291 , ipT7324 , ipTCa302 , ipTCa345 , ipTCa19 , ipTCa3 , ipTCa12 ,
	ipTCa4 , ipCa0741 , ipCa0761 , ipCa08232 , ipCa12333 , ipSc05231 , ipSc13264 ,
	ipTi06172 , ipTi14212 , ipVa07130 , ipVa15172 , ipCr08101 , ipCr16141 , ipxMn0979 ,
	ipxMn1712 , ipFeI3884 , ipFeI3729 , ipFeI3457 , ipFeI3021 , ipFeI2966 , ipTuv3 ,
	ipTr48 , ipTFe16 , ipTFe26 , ipTFe34 , ipTFe35 , ipTFe46 , ipTFe56 , ipT1122 ,
	ipFe0795 , ipFe0778 , ipT245 , ipT352 , ipFe106375 , ipT353 , ipFe1310 , ipFe1311 ,
	ipT347 , ipT192 , ipT255 , ipT11 , ipT191 , ipTFe07 , ipTFe61 , ipFe18975 , ipTFe23 ,
	ipTFe13 , ipCo11527 , ipxNi1242;

/* all of Dima's level 2 lines */

/*number of level 2 lines, dim for WindLine array */
#define	NWINDDIM	6744

/* this is set to 0 with no level2 command, normally
 * equal to NWINDDIM, definition is in cddefines.c */
extern long	nWindLine;

/* these are the level two lines themselves */
/* pointers to element and ion, TauLine2[line number][pointer within vector] */
EXTERN float **TauLine2;


/* NB!!! the number of variables here MUST parallel the
 * dimension of the line arrays as set in nta.par
 *
 * these are series of pointers to elements of line arrays
 */
/* 21 ratio A21/(A21+C21)         */
#define	IPLNAOVTOT	21
extern int ipLnAovTot;
/* 11 A_ul, transition probability*/
#define	IPLNAUL	11
extern int ipLnAul;
/* 12 trans energy temp degrees kelvin*/
#define	IPLNBOLT	12
extern int ipLnBolt;
/* 27 line collision strength*/
#define	IPLNCS	27
extern int ipLnCS;
/* 33 type of transition for Mewe collision strength*/
/* in general first parameter for CS expansion*/
/* this parameter zero indicates high quality line */
/* (separate pointer to OTS background)*/
#define	IPLNCS1	33
extern int ipLnCS1;
/* 34 second parameter for CS expansion*/
#define	IPLNCS2	34
extern int ipLnCS2;
/* 24 ratio of collisional to radiative excitation*/
#define	IPLNCOLOVTOT	24
extern int ipLnColOvTot;
/* 31 heat exchange, collisional excitation*/
#define	IPLNCOOL	31
extern int ipLnCool;
/* 30 total opacity (cm^-1) in transition*/
#define	IPLNDTAU	30
extern int ipLnDTau;
/* 23 damping constant for line*/
#define	IPLNDAMP	23
extern int ipLnDamp;
/* 6 related to the damping constant*/
#define	IPLNDAMPREL	6
extern int ipLnDampRel;
/* 13 deEXTERN struction probability     */
#define	IPLNDESP	13
extern int ipLnDesP;
/* 19 trans energy ergs           */
#define	IPLNENRERG	19
extern int ipLnEnrErg;
/* 15 transition energy-wavenumbers  */
#define	IPLNENRWN	15
extern int ipLnEnrWN;
/* 3 escape probability            */
#define	IPLNESCP	3
extern int ipLnEscP;
/* 10 gf value*/
#define	IPLNGF	10
extern int ipLnGF;
/* 8 lower stat. weight */
#define	IPLNGL	8
extern int ipLnGl;
/* 9 upper stat. weight           */
#define	IPLNGU	9
extern int ipLnGu;
/* 32 heat exchange, collisional de-excitation*/
#define	IPLNHEAT	32
extern int ipLnHeat;
/* 25 intensity of line*/
#define	IPLNINTEN	25
extern int ipLnInten;
/* 4 inward part of the line*/
#define	IPLNINWD	4
extern int ipLnInwd;
/* 16 is the stage of ionization*/
#define	IPLNIONSTG	16
extern int ipLnIonStg;
/* 7 pointer to line energy in continuum array*/
#define	IPLNIPCONT	7
extern int ipLnIpCont;
/* 20 num of phot EMIT per s in line*/
#define	IPLNNPHOTS	20
extern int ipLnNPhots;
/* 22 atomic number of the atom*/
#define	IPLNNELEM	22
extern int ipLnNelem;
/* 29 local OTS line deEXTERN struction, photons/sec*/
#define	IPLNOTS	29
extern int ipLnOTS;
/* 14 line opacity*/
#define	IPLNOPAC	14
extern int ipLnOpac;
/* 36 pop of low lev-correcd for stim em*/
#define	IPLNPOPOPC	36
extern int ipLnPopOpc;
/* 18 pop of low level for excit temp*/
#define	IPLNPOPL	18
extern int ipLnPopL;
/* 35 population of upper level, needed for line excitation temp*/
#define	IPLNPOPU	35
extern int ipLnPopU;
/* 17 continuum pumping rate      */
#define	IPLNPUMP	17
extern int ipLnPump;
/* 26 redistribution funciton to be used for line*/
#define	IPLNREDIS	26
extern int ipLnRedis;
/* 28 line excitation energy in Rydbergs*/
#define	IPLNRYD	28
extern int ipLnRyd;
/* 37 optical depth to the continuum source*/
#define	IPLNTAUCON	37
extern int ipLnTauCon;
/* 1 inward optical deph */
#define	IPLNTAUIN	1
extern int ipLnTauIn;
/* 2 total optical depth from previous iteration*/
#define	IPLNTAUTOT	2
extern int ipLnTauTot;
/* 5 line WL (A), <0 compl redis   */
#define	IPLNWLANG	5
extern int ipLnWlAng;
